import { Database, DatabaseConfiguration } from '@hocuspocus/extension-database';
import sqlite3 from 'sqlite3';
export interface SQLiteConfiguration extends DatabaseConfiguration {
    /**
     * Valid values are filenames, ":memory:" for an anonymous in-memory database and an empty
     * string for an anonymous disk-based database. Anonymous databases are not persisted and
     * when closing the database handle, their contents are lost.
     *
     * https://github.com/mapbox/node-sqlite3/wiki/API#new-sqlite3databasefilename-mode-callback
     */
    database: string;
    /**
     * The database schema to create.
     */
    schema: string;
}
export declare class SQLite extends Database {
    db?: sqlite3.Database;
    configuration: SQLiteConfiguration;
    /**
     * Constructor
     */
    constructor(configuration?: Partial<SQLiteConfiguration>);
    onListen(): Promise<void>;
    onConfigure(): Promise<void>;
}
